/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.gebietsbaum.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.GebietsartConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GebietsartMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GebietsartMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsartMeta";

  @Inject
  private transient Messages messages;

  public GebietsartMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBezirksartEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_BEZIRKSART_EINZAHL;
  }

  public String getBezirksartMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_BEZIRKSART_MEHRZAHL;
  }


  public String getBezirksartEinzahlMessage(){
    return getMessage(getBezirksartEinzahlMessageKey());
  }

  public String getBezirksartMehrzahlMessage(){
    return getMessage(getBezirksartMehrzahlMessageKey());
  }



  public boolean isBezirksartRequired() {
    return !GebietsartConstants.BEZIRKSART_NULLABLE;
  }

  public de.ivu.elect.business.gebietsbaum.entity.GebietsartBezirksart getBezirksartDefaultValue() {
    return GebietsartConstants.BEZIRKSART_DEFAULT_VALUE;
  }


  public String getDarstellungEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_DARSTELLUNG_EINZAHL;
  }

  public String getDarstellungMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_DARSTELLUNG_MEHRZAHL;
  }


  public String getDarstellungEinzahlMessage(){
    return getMessage(getDarstellungEinzahlMessageKey());
  }

  public String getDarstellungMehrzahlMessage(){
    return getMessage(getDarstellungMehrzahlMessageKey());
  }



  public boolean isDarstellungRequired() {
    return !GebietsartConstants.DARSTELLUNG_NULLABLE;
  }

  public java.lang.String getDarstellungDefaultValue() {
    return GebietsartConstants.DARSTELLUNG_DEFAULT_VALUE;
  }

  public int getDarstellungMaxLength() {
    return GebietsartConstants.DARSTELLUNG_MAX_LENGTH;
  }

  public String getIconEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_ICON_EINZAHL;
  }

  public String getIconMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_ICON_MEHRZAHL;
  }


  public String getIconEinzahlMessage(){
    return getMessage(getIconEinzahlMessageKey());
  }

  public String getIconMehrzahlMessage(){
    return getMessage(getIconMehrzahlMessageKey());
  }



  public boolean isIconRequired() {
    return !GebietsartConstants.ICON_NULLABLE;
  }

  public de.ivu.elect.business.gebietsbaum.entity.GebietsartIcon getIconDefaultValue() {
    return GebietsartConstants.ICON_DEFAULT_VALUE;
  }


  public String getKennzeichenEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_KENNZEICHEN_EINZAHL;
  }

  public String getKennzeichenMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_KENNZEICHEN_MEHRZAHL;
  }


  public String getKennzeichenEinzahlMessage(){
    return getMessage(getKennzeichenEinzahlMessageKey());
  }

  public String getKennzeichenMehrzahlMessage(){
    return getMessage(getKennzeichenMehrzahlMessageKey());
  }



  public boolean isKennzeichenRequired() {
    return !GebietsartConstants.KENNZEICHEN_NULLABLE;
  }

  public java.lang.String getKennzeichenDefaultValue() {
    return GebietsartConstants.KENNZEICHEN_DEFAULT_VALUE;
  }

  public int getKennzeichenMaxLength() {
    return GebietsartConstants.KENNZEICHEN_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !GebietsartConstants.NAME_NULLABLE;
  }

  public String getNameDefaultValue() {
    return GebietsartConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return GebietsartConstants.NAME_MAX_LENGTH;
  }

  public String getPositionEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_POSITION_EINZAHL;
  }

  public String getPositionMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_POSITION_MEHRZAHL;
  }


  public String getPositionEinzahlMessage(){
    return getMessage(getPositionEinzahlMessageKey());
  }

  public String getPositionMehrzahlMessage(){
    return getMessage(getPositionMehrzahlMessageKey());
  }



  public boolean isPositionRequired() {
    return !GebietsartConstants.POSITION_NULLABLE;
  }

  public java.lang.Long getPositionDefaultValue() {
    return GebietsartConstants.POSITION_DEFAULT_VALUE;
  }

  public int getPositionMaxLength() {
    return GebietsartConstants.POSITION_MAX_LENGTH;
  }

  public long getPositionMinValue() {
    return GebietsartConstants.POSITION_MIN_VALUE;
  }

  public long getPositionMaxValue() {
    return GebietsartConstants.POSITION_MAX_VALUE;
  }

  public String getSystemGebietsebeneEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_SYSTEM_GEBIETSEBENE_EINZAHL;
  }

  public String getSystemGebietsebeneMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_SYSTEM_GEBIETSEBENE_MEHRZAHL;
  }


  public String getSystemGebietsebeneEinzahlMessage(){
    return getMessage(getSystemGebietsebeneEinzahlMessageKey());
  }

  public String getSystemGebietsebeneMehrzahlMessage(){
    return getMessage(getSystemGebietsebeneMehrzahlMessageKey());
  }



  public boolean isSystemGebietsebeneRequired() {
    return !GebietsartConstants.SYSTEM_GEBIETSEBENE_NULLABLE;
  }

  public de.ivu.elect.business.gebietsbaum.entity.GebietSystemGebietsebene getSystemGebietsebeneDefaultValue() {
    return GebietsartConstants.SYSTEM_GEBIETSEBENE_DEFAULT_VALUE;
  }


  public String getTitelEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_TITEL_EINZAHL;
  }

  public String getTitelMehrzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_TITEL_MEHRZAHL;
  }


  public String getTitelEinzahlMessage(){
    return getMessage(getTitelEinzahlMessageKey());
  }

  public String getTitelMehrzahlMessage(){
    return getMessage(getTitelMehrzahlMessageKey());
  }



  public boolean isTitelRequired() {
    return !GebietsartConstants.TITEL_NULLABLE;
  }

  public java.lang.String getTitelDefaultValue() {
    return GebietsartConstants.TITEL_DEFAULT_VALUE;
  }

  public int getTitelMaxLength() {
    return GebietsartConstants.TITEL_MAX_LENGTH;
  }


  public String getMandantEinzahlMessageKey(){
    return GebietsartConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !GebietsartConstants.MANDANT_ID_NULLABLE;
  }

}